# /etc/tuxpaint/tuxpaint.conf
# 
# Configuration file for Tux Paint
# See tuxpaint(1) or run 'tuxpaint --help' for details on using Tux Paint
#
# Bill Kendrick <bill@newbreedsoftware.com>
# https://tuxpaint.org/
#
# Default distribution version last modified:
# December 29, 2023
# 
# $Id$


# FIXME: Add descriptions & examples for other options:
#  * allowscreensaver
#  * buttonsize
#  * startblank
#  * nobuttondistinction
#  * hidecursor
#  * nostampcontrols
#  * nostamprotation
#  * nomagiccontrols
#  * nomagicsizes
#  * noshapecontrols
#  * nolabel
#  * nobrushspacing
#  * newcolorslast
#  * colorsrows
#  * onscreenkeyboard
#  * " layout
#  * " disable change
#  * joystick*
#  * stampsize
#  * nosysfonts
#  * stampsize
#  * alllocalefonts
#  * datadir
#  * reversesort
#  * nolockfile
#  * complexity
# -bjk 2023.12.29


# The variables described below are initially commented out.
#
# Most options come in pairs:
#
# The top examples change the default behavior
#   (e.g., "fullscreen=yes" enables full-screen mode, while
#   the default mode is windowed, not fullscreen.)
#
# The bottom examples reenable the default behavior
#   (e.g., "windowed=yes" enables fullscreen mode.)
#
#   In the system-wide Tux Paint configuration file
#     (e.g. "/etc/tuxpaint/tuxpaint.conf"
#     or "/usr/local/etc/tuxpaint/tuxpaint.conf")
#     the default options are redundant.
#
#   They are, however, useful to place in a user's personal confiugration file
#     ("~/.tuxpaintrc"), to override any settings they don't like in the
#     system-wide configuration file, and which they don't want to always have
#     to override via command-line options.
#
# For more information, see Tux Paint's "OPTIONS" documentation file


### Fullscreen or Windowed?
### -----------------------
#
# fullscreen=yes
# windowed=yes


### Window size / screen resolution.  (800x600 is the default.)
### (Any size 640-or-wider by 480-or-taller should work.)
### NOTE: This affects canvas (drawing area) size.
### -----------------------------------------------------------
# 
# windowsize=800x600


### Use native screen size when in fullscreen.
### (Overrides 'windowsize' or default (800x600) when in fullscreen,
### and tries to make Tux Paint fit in the current desktop resolution.)
### -------------------------------------------------------------------
# 
# native=yes


### Window / screen orientation.  (Landscape (no rotation) is the default.)
### -----------------------------------------------------------------------
# 
# orient=portrait
# orient=landscape


### Disable sound effects?
### ----------------------
#
# nosound=yes
# sound=yes


### Disable stereo sound (only use mono)?
### -------------------------------------
#
# nostereo=yes
# stereo=yes


### Disable the on-screen 'Quit' button in the toolbar?
### ---------------------------------------------------
### Note: Pressing the [Escape] key,
### or clicking the window's 'Close' button will still work
#
# noquit=yes
# quit=yes


### Disable the printing feature?
### -----------------------------
# 
# noprint=yes
# print=yes


### Restrict printing?
### ------------------
### For example, if 'printdelay=60',
### the user can only print once per minute (60 seconds)
# 
# printdelay={SECONDS}
# printdelay=0


### Use stored printer configuration?
### ---------------------------------
#
# printcfg=yes
# printcfg=no


### Use a different print command?
### ------------------------------
### Note: The command should expect PostScript on its STDIN (standard-in)
### 
### For example, to convert the image to greyscale before converting
### to PostScript, use "pstopnm | ppmtopgm | pnmtops | lpr" as the command
# 
# printcommand={COMMAND}
# printcommand=lpr


### Paper size
### ----------
### Note: The size listed should be one supported by libpaper
### From papersize(5):
###   a3, a4, a5, b5, letter, legal, executive, note, 11x17,
###   a0, a1, a2, a6, a7, a8, a9, a10, b0, b1, b2, b3, b4, tabloid,
###   statement, note, halfletter, halfexecutive, folio, quarto, ledger,
###   archA, archB, archC, archD, archE, flsa, flse, csheet, dsheet, esheet
###   or 10x14.
###
### If not set, libpaper will check your $PAPER environment variable,
### then /etc/papersize, then the default system paper size.
#
# papersize={PAPERSIZSE}
# papersize=a4


### Use the simpler shape tool? (No rotating)
### -----------------------------------------
# 
# simpleshapes=yes
# complexshapes=yes


### Display only uppercase letters?
### -------------------------------
#
# uppercase=yes
# mixedcase=yes


### Grab the mouse and keyboard?
### ----------------------------
#
# grab=yes
# dontgrab=yes


### Disable [Control] key shortcuts?
### --------------------------------
#
# noshortcuts=yes
# shortcuts=yes


### Disable wheel mouse support?
### ----------------------------
#
# nowheelmouse=yes
# wheelmouse=yes


### Don't use special mouse pointer (cursor) shapes?
### ------------------------------------------------
#
# nofancycursors=yes
# fancycursors=yes


### Use the keyboard to control the mouse pointer (cursor)?
### -------------------------------------------------------
#
# keyboard=yes
# mouse=yes


### Use less graphics-intensive outlines?
### -------------------------------------
#
# nooutlines=yes
# outlines=yes


### Disable the Stamp tool?
### -----------------------
#
# nostamps=yes
# stamps=yes


### Disable Stamp controls (flip, mirror, size)?
### --------------------------------------------
# 
# nostampcontrols=yes
# stampcontrols=yes


### Show mirrored stamps by default? (e.g., for those prefering right-to-left)
### --------------------------------------------------------------------------
#
# mirrorstamps=yes
# dontmirrorstamps=yes


### Disable 'Save Over Older Picture?' Prompt
### Always save over, instead
### -----------------------------------------
#
# saveover=yes
# saveover=ask


### Disable 'Save Over Older Picture?' Prompt
### Always make a new picture, instead
### -----------------------------------------
#
# saveover=new
# saveover=ask


### Disable the 'Save' feature altogether?
### --------------------------------------
#
# nosave=yes
# save=yes


### Save images somewhere different?
### --------------------------------
### Note: Window users, use the form:  savedir=C:\WINDOWS\TUXPAINT
### Note: Actual image files will go under a subdirectory/subfolder, "saved"
#
# savedir=~/.tuxpaint


### Export images and animated GIF slideshows somewhere different?
### (Uses xdg-user-dirs config setting for PICTURES, if available!)
### --------------------------------------------------------------
#
# exportdir=~/Pictures


### Use a different language?
### -------------------------
### Note: Where the language is a known language name (e.g., "spanish")
### 
### For a full list, see tuxpaint(1) man page, README.txt documentation,
### or language usage output (by running the command "tuxpaint --lang help")
#
# lang={LANGUAGE}
# lang=english


# (End of configuration file)

